PowerModelSpecPowerIbmX3550XeonX5675 (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.power.models

## Class PowerModelSpecPowerIbmX3550XeonX5675

- java.lang.Object
- - org.cloudbus.cloudsim.power.models.PowerModelSpecPower
  - - org.cloudbus.cloudsim.power.models.PowerModelSpecPowerIbmX3550XeonX5675

- All Implemented Interfaces:
    PowerModel

      public class PowerModelSpecPowerIbmX3550XeonX5675
      extends PowerModelSpecPower

  The power model of an IBM server x3550 (2 x [Xeon X5675 3067 MHz, 6 cores], 16GB). http://www.spec.org/power_ssj2008/results/res2011q2/power_ssj2008-20110406-00368.html If you are using any algorithms, policies or workload included in the power package, please cite the following paper: Anton Beloglazov, and Rajkumar Buyya, "Optimal Online Deterministic Algorithms and Adaptive Heuristics for Energy and Performance Efficient Dynamic Consolidation of Virtual Machines in Cloud Data Centers", Concurrency and Computation: Practice and Experience, ISSN: 1532-0626, Wiley Press, New York, USA, 2011, DOI: 10.1002/cpe.1867
  Since:
    CloudSim Toolkit 3.0
  Author:
    Anton Beloglazov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PowerModelSpecPowerIbmX3550XeonX5675()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected double` | `getPowerData(int index)` Gets the power data.

    - ### Methods inherited from class org.cloudbus.cloudsim.power.models.PowerModelSpecPower

      `getPower`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PowerModelSpecPowerIbmX3550XeonX5675

          public PowerModelSpecPowerIbmX3550XeonX5675()

  - ### Method Detail

    - #### getPowerData

          protected double getPowerData(int index)

      Description copied from class: `PowerModelSpecPower`
      Gets the power data.
      Specified by:
        `getPowerData` in class `PowerModelSpecPower`
      Parameters:
        `index` - the index
      Returns:
        the power data

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.